Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 784572 (MFSA-2021-15) - <www-client/firefox{,-bin}-{78.10.0,88.0} (MFSA-2021-15)
Summary: <www-client/firefox{,-bin}-{78.10.0,88.0} (MFSA-2021-15)
Status: RESOLVED FIXED
Alias: MFSA-2021-15
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: https://www.mozilla.org/en-US/securit...
Whiteboard: A2 [glsa+ cve]
Keywords:
Depends on:
Blocks: CVE-2021-23994, CVE-2021-23995, CVE-2021-23998, CVE-2021-23999, CVE-2021-24002, CVE-2021-29945, CVE-2021-29946 CVE-2021-23961
  Show dependency tree
 
Reported: 2021-04-20 21:31 UTC by GLSAMaker/CVETool Bot
Modified: 2021-05-01 00:03 UTC (History)
1 user (show)

See Also:
Package list:
www-client/firefox-78.10.0
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2021-04-20 21:31:30 UTC
CVE-2021-23961 (https://nvd.nist.gov/vuln/detail/CVE-2021-23961):
  ** RESERVED ** This candidate has been reserved by an organization or
  individual that will use it when announcing a new security problem. When the
  candidate has been publicized, the details for this candidate will be
  provided.

CVE-2021-23994 (https://nvd.nist.gov/vuln/detail/CVE-2021-23994):
  Out of bound write due to lazy initialization. A WebGL framebuffer was not
  initialized early enough, resulting in memory corruption and an out of bound
  write.

CVE-2021-23995 (https://nvd.nist.gov/vuln/detail/CVE-2021-23995):
  Use-after-free in Responsive Design Mode. When Responsive Design Mode was
  enabled, it used references to objects that were previously freed. We
  presume that with enough effort this could have been exploited to run
  arbitrary code.

CVE-2021-23998 (https://nvd.nist.gov/vuln/detail/CVE-2021-23998):
  Secure Lock icon could have been spoofed. Through complicated navigations
  with new windows, an HTTP page could have inherited a secure lock icon from
  an HTTPS page.

CVE-2021-23999 (https://nvd.nist.gov/vuln/detail/CVE-2021-23999):
  Blob URLs may have been granted additional privileges. If a Blob URL was
  loaded through some unusual user interaction, it could have been loaded by
  the System Principal and granted additional privileges that should not be
  granted to web content.

CVE-2021-24002 (https://nvd.nist.gov/vuln/detail/CVE-2021-24002):
  Arbitrary FTP command execution on FTP servers using an encoded URL. When a
  user clicked on an FTP URL containing encoded newline characters (%0A and
  %0D), the newlines would have been interpreted as such and allowed arbitrary
  commands to be sent to the FTP server.

CVE-2021-29945 (https://nvd.nist.gov/vuln/detail/CVE-2021-29945):
  Incorrect size computation in WebAssembly JIT could lead to null-reads. The
  WebAssembly JIT could miscalculate the size of a return type, which could
  lead to a null read and result in a crash.
  
  Note: This issue only affected x86-32 platforms. Other platforms are
  unaffected.

CVE-2021-29946 (https://nvd.nist.gov/vuln/detail/CVE-2021-29946):
  Port blocking could be bypassed. Ports that were written as an integer
  overflow above the bounds of a 16-bit integer could have bypassed port
  blocking restrictions when used in the Alt-Svc header.
Comment 1 Sam James archtester gentoo-dev Security 2021-04-22 03:01:44 UTC
arm64 done

all arches done
Comment 2 John Helmert III gentoo-dev Security 2021-04-22 13:08:57 UTC
Please cleanup.
Comment 3 Larry the Git Cow gentoo-dev 2021-04-25 23:30:28 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56d8d5c2043bb95d279287597c03c22087e99df3

commit 56d8d5c2043bb95d279287597c03c22087e99df3
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2021-04-25 23:30:02 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2021-04-25 23:30:14 +0000

    www-client/firefox-bin: security cleanup
    
    Bug: https://bugs.gentoo.org/784572
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 www-client/firefox-bin/Manifest                  | 194 -----------
 www-client/firefox-bin/firefox-bin-78.9.0.ebuild | 411 -----------------------
 www-client/firefox-bin/firefox-bin-87.0.ebuild   | 411 -----------------------
 3 files changed, 1016 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e8cc821f1a1cba43ea20e9ff5b7c59185c33f5f

commit 0e8cc821f1a1cba43ea20e9ff5b7c59185c33f5f
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2021-04-25 23:29:39 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2021-04-25 23:30:13 +0000

    www-client/firefox: security cleanup
    
    Bug: https://bugs.gentoo.org/784572
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 www-client/firefox/Manifest               |  196 -----
 www-client/firefox/firefox-78.9.0.ebuild  | 1175 -----------------------------
 www-client/firefox/firefox-87.0-r1.ebuild | 1165 ----------------------------
 www-client/firefox/firefox-87.0.ebuild    | 1165 ----------------------------
 4 files changed, 3701 deletions(-)
Comment 4 Thomas Deutschmann gentoo-dev Security 2021-04-30 22:44:22 UTC
Added to an existing GLSA.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2021-05-01 00:03:17 UTC
This issue was resolved and addressed in
 GLSA 202104-10 at https://security.gentoo.org/glsa/202104-10
by GLSA coordinator Thomas Deutschmann (whissi).